--Flyer
--  1.00 ()
--  

texture={}

function texture.load(p)
	id=love.graphics.newImage(p)
	return id
end

function texture.draw(i ,x, y, r, a)
	love.graphics.setColor(255, 255, 255, a)
	love.graphics.draw(i, x+i:getWidth()/2, y+i:getHeight()/2, r, 1, 1, i:getWidth()/2, i:getHeight()/2)
end

current={language=-1, menu=0, load=1, game=777}

game={cur=current.language, bba=255, lang=false, x=0, y=0, cam={x=0, y=0}, offset={x=382, y=332}, screen={w=800, h=600}}

function game.dofile(p)
	love.filesystem.load(p)()
end

wav={}

function wav.load(p)
	id=love.audio.newSource(p, "static")
	return id
end

function wav.play(id)
	love.audio.play(id)
end

function wav.stop(id)
	love.audio.stop(id)
end

font=love.graphics.newFont("data/fonts/origami.ttf", 17)

lang={cur=1, p=false, text={{top="choose your language",bot="press space to continue"},
						   {top="V&BERITE SVO^ ;Z&K",bot="NAJMITE PROBEL |TOB& PRODOLJITX"}}}

function game.delang(e, r)
	v=nil
	if game.lang==false then
		v=e
	else
		v=r
	end
	return v
end

menu={tex={bkg=love.graphics.newImage("data/textures/menu/space.png"),
		   logo=love.graphics.newImage("data/textures/menu/flyer_logo.png"),
		   select=love.graphics.newImage("data/textures/menu/menu_select.png")},
	  sfx={switch=wav.load("data/sfx/menu/menu_switch.wav")}, text={}, cur=1, p=false}


love.filesystem.load("data/code/language.lua")()
love.filesystem.load("data/code/menu.lua")()
love.filesystem.load("data/code/load.lua")()
love.filesystem.load("data/code/game.lua")()

function love.update(dt)
	if game.cur==current.language then
		language.update(dt)
	end
	if game.cur==current.menu then
		menu.update(dt)
	end
	if game.cur==current.load then
		load.update(dt)
	end
	--if game.cur==current.game then
	--	game.update(dt)
	--end
end

function love.draw()
	if game.cur==current.language then
		language.draw()
	end
	if game.cur==current.menu then
		menu.draw()
	end
	if game.cur==current.game then
		game.draw()
	end
	
	love.graphics.setColor(0, 0, 0, game.bba)
	love.graphics.rectangle("fill", 0, 0, 2000, 2000)
	
end

function love.keypressed(key, unicode)
	if game.cur==current.language then
		language.keypressed(key, unicode)
	end
	if game.cur==current.menu then
		menu.keypressed(key, unicode)
	end
	if game.cur==current.game then
		game.keypressed(key, unicode)
	end
	
	if key=="escape" then
		love.graphics.toggleFullscreen()
	end
end